Bug 741114 - Sort order doesn't work
Summary: Sort order doesn't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 14
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 15:28 UTC by Bill Gradwohl
Modified: 2015-03-03 23:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 16:19:35 UTC


Attachments (Terms of Use)
Changed sort order (419.96 KB, image/png)
2011-09-25 15:30 UTC, Bill Gradwohl
no flags Details
Sort by date modified (434.96 KB, image/png)
2011-09-25 15:38 UTC, Bill Gradwohl
no flags Details
Sort by name (441.71 KB, image/png)
2011-09-25 16:48 UTC, Bill Gradwohl
no flags Details
sort by name reversed (442.37 KB, image/png)
2011-09-25 16:49 UTC, Bill Gradwohl
no flags Details

Description Bill Gradwohl 2011-09-25 15:28:00 UTC
Description of problem:
Name field is clicked to sort by name but its not sorted.

Version-Release number of selected component (if applicable):
Nautilus 2.32.2.1

How reproducible:
I mounted a USB stick that contained a hidden subdirectory. Displaying that subdirectory and clicking on the name field to sort by name does nothing.

Under some circumstances (can't reproduce it on demand though) the directory display changes when the name filed is clicked, but the contents isn't sorted by name. Clicking the name field again reverses the unsorted contents exactly. This shows it IS sorting on something, but its not the name field.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
See  attached images. Note arrow in name field.

Expected results:


Additional info:

Comment 1 Bill Gradwohl 2011-09-25 15:30:23 UTC
Created attachment 524790 [details]
Changed sort order

Changed sort order

Comment 2 Bill Gradwohl 2011-09-25 15:38:24 UTC
Created attachment 524791 [details]
Sort by date modified

Closed and reopened Nautilus, drilled down to hidden directory. Shows sort by modify date. Next images show attempt to sort by name that fails, leaving sort order by modify date.

Comment 3 Bill Gradwohl 2011-09-25 16:48:15 UTC
Created attachment 524794 [details]
Sort by name

This shows the sort by name field triggered but the sort is still by modify date.

Comment 4 Bill Gradwohl 2011-09-25 16:49:47 UTC
Created attachment 524795 [details]
sort by name reversed

Shows reversed name sort and still sorted by m date.

Comment 5 Fedora End Of Life 2012-08-16 16:19:38 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.